<?php

use Yaf\Application;

if (!function_exists('config')) {

    /**
     * 假设当前环境为 dev（在php.ini中配置）
     * 当前 appid 为 ProgramA （在conf/application.ini中配置）
     * 则 config("test", "a"); 将取到 yaconf/test.ini 中， [dev-ProgramA] 下定义的配置 a 的值
     *
     * @param $file
     * @param string $param
     * @return string
     */
    function config($file, $param = ''){
        if (empty($file) || !file_exists(ROOT_PATH."/yaconf/".$file.".ini")){
            //return "";
        }

        $env    = Application::app()->environ() ?? "dev";
        $appid  = Application::app()->getConfig()->get("appid");

        $key = $file.'.'. (empty($appid) ? $env : $env.'-'.$appid);
        $key = $param ==='' ? $key : $key.".".$param;
        return \Yaconf::get($key);
    }

    if (!function_exists('appConfig')) {

        /**
         * 获取框架的 conf/application 中的配置
         * @param $param
         * @return mixed
         */
        function appConfig($param){
            return Application::app()->getConfig()->get($param);
        }
    }
}